[build-system]
requires      = ["setuptools>=61.0.0", "wheel"]
build-backend = "setuptools.build_meta"

[tool.setuptools]
packages = ['emonet_py']

[tool.setuptools.dynamic]
version = {attr = "emonet_py.VERSION"}
readme = {file = ["README.md"]}

[project]
name = "emonet-py"
version = "1.0.7"
description = "A PyTorch port of the MatLab EmoNet network by Kragel et al., 2019."
readme = "README.md"
authors = [{ name = "Laurent Mertens", email = "laurent.mertens@kuleuven.be" }]
maintainers = [{ name = "Laurent Mertens", email = "laurent.mertens@kuleuven.be" }]
license = { file = "LICENSE.md" }
classifiers = [
    "License :: OSI Approved :: MIT License",
    "Programming Language :: Python",
    "Programming Language :: Python :: 3",
]
keywords = ["ANN", "PyTorch", "Neural Networks", "Emotion Recognition"]
dependencies = [
    'importlib_metadata>=7.1.0',
    'python-gitlab>=4.6.0',
    'Pillow>=9',
    'torch>=2',
    'torchvision>=0.15'
]
requires-python = ">=3.9"

[project.urls]
Homepage = "https://gitlab.com/EAVISE/lme/emonet"
Changelog = "https://gitlab.com/EAVISE/lme/emonet/blob/master/CHANGELOG.md"

[project.scripts]
